/*****************************************************************************
 * $Id: gfx_misc.hh,v 1.33 2006/07/30 02:02:17 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Misc functions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GFX_MISC_HH
#define GFX_MISC_HH 1

#include "gfx_rgb.hh"

namespace gfx {

void
DrawRect2D( const Rect<int>& rect, const RGBA rgba );

int
Argi( int idx, int argc_, char** argv_ );

float
Argf( int idx, int argc_, char** argv_ );

string
Argstr( int idx, int argc_, char** argv_ );

void
CmdargDone( int i, int n = 1 );

bool
IfCmdargDone( int i );

bool
GFX_SELF_CHECK( void );

} // namespace gfx

#endif // GFX_MISC_HH
